Ptex: PtexTriangleKernel Class Reference

Ptex

Public Member Functions | Public Attributes | List of all members
PtexTriangleKernel Class Reference

Triangle filter kernel (in normalized triangle coords) More...

`#include <PtexTriangleKernel.h>`

## Public Member Functions
void | set (Res resVal, float uVal, float vVal, float u1Val, float v1Val, float w1Val, float u2Val, float v2Val, float w2Val, float AVal, float BVal, float CVal)
void | set (float uVal, float vVal, float u1Val, float v1Val, float w1Val, float u2Val, float v2Val, float w2Val)
void | setABC (float AVal, float BVal, float CVal)
void | splitU (PtexTriangleKernel &ka)
void | splitV (PtexTriangleKernel &ka)
void | splitW (PtexTriangleKernel &ka)
void | rotate1 ()
void | rotate2 ()
void | reorient (int eid, int aeid)
void | clampRes (Res fres)
void | clampExtent ()
void | getIterators (PtexTriangleKernelIter &ke, PtexTriangleKernelIter &ko)

## Public Attributes
Res | res
float | u
float | v
float | u1
float | v1
float | w1
float | u2
float | v2
float | w2
float | A
float | B
float | C

## Detailed Description

Triangle filter kernel (in normalized triangle coords)

Definition at line 82 of file PtexTriangleKernel.h.

## Member Function Documentation

## ◆ clampExtent()

void PtexTriangleKernel::clampExtent | ( |  | ) |
| inline

Definition at line 178 of file PtexTriangleKernel.h.

References PtexUtils::max(), PtexUtils::min(), u1, u2, v1, v2, w1, and w2.

Referenced by PtexTriangleFilter::apply().

## ◆ clampRes()

void PtexTriangleKernel::clampRes | ( | Res | fres | ) |
| inline

Definition at line 172 of file PtexTriangleKernel.h.

References PtexUtils::min(), and res.

Referenced by PtexTriangleFilter::apply().

## ◆ getIterators()

void PtexTriangleKernel::getIterators | ( | PtexTriangleKernelIter & | ke,
|  | PtexTriangleKernelIter & | ko
| ) |  |
| inline

Definition at line 188 of file PtexTriangleKernel.h.

References PtexTriangleKernelIter::A, A, PtexTriangleKernelIter::B, B, PtexTriangleKernelIter::C, C, res, PtexTriangleKernelIter::rowlen, PtexTriangleKernelIter::u, u, PtexTriangleKernelIter::u1, u1, PtexTriangleKernelIter::u2, u2, PtexTriangleKernelIter::v, v, PtexTriangleKernelIter::v1, v1, PtexTriangleKernelIter::v2, v2, PtexTriangleKernelIter::valid, PtexTriangleKernelIter::w1, w1, PtexTriangleKernelIter::w2, w2, PtexTriangleKernelIter::weight, and PtexTriangleKernelIter::wscale.

Referenced by PtexTriangleFilter::apply().

## ◆ reorient()

void PtexTriangleKernel::reorient | ( | int | eid,
|  | int | aeid
| ) |  |
| inline

Definition at line 151 of file PtexTriangleKernel.h.

References C, rotate1(), rotate2(), set(), u, u1, u2, v, v1, v2, w1, and w2.

Referenced by PtexTriangleFilter::applyAcrossEdge().

## ◆ rotate1()

void PtexTriangleKernel::rotate1 | ( |  | ) |
| inline

Definition at line 137 of file PtexTriangleKernel.h.

References A, B, C, and setABC().

Referenced by reorient().

## ◆ rotate2()

void PtexTriangleKernel::rotate2 | ( |  | ) |
| inline

Definition at line 144 of file PtexTriangleKernel.h.

References A, B, C, and setABC().

Referenced by reorient().

## ◆ set() [1/2]

void PtexTriangleKernel::set | ( | float | uVal,
|  | float | vVal,
|  | float | u1Val,
|  | float | v1Val,
|  | float | w1Val,
|  | float | u2Val,
|  | float | v2Val,
|  | float | w2Val
| ) |  |
| inline

Definition at line 102 of file PtexTriangleKernel.h.

References u, u1, u2, v, v1, v2, w1, and w2.

## ◆ set() [2/2]

void PtexTriangleKernel::set | ( | Res | resVal,
|  | float | uVal,
|  | float | vVal,
|  | float | u1Val,
|  | float | v1Val,
|  | float | w1Val,
|  | float | u2Val,
|  | float | v2Val,
|  | float | w2Val,
|  | float | AVal,
|  | float | BVal,
|  | float | CVal
| ) |  |
| inline

Definition at line 90 of file PtexTriangleKernel.h.

References A, B, C, res, u, u1, u2, v, v1, v2, w1, and w2.

Referenced by PtexTriangleFilter::buildKernel(), and reorient().

## ◆ setABC()

void PtexTriangleKernel::setABC | ( | float | AVal,
|  | float | BVal,
|  | float | CVal
| ) |  |
| inline

Definition at line 111 of file PtexTriangleKernel.h.

References A, B, and C.

Referenced by rotate1(), and rotate2().

## ◆ splitU()

void PtexTriangleKernel::splitU | ( | PtexTriangleKernel & | ka | ) |
| inline

Definition at line 116 of file PtexTriangleKernel.h.

References u1, and u2.

Referenced by PtexTriangleFilter::splitAndApply().

## ◆ splitV()

void PtexTriangleKernel::splitV | ( | PtexTriangleKernel & | ka | ) |
| inline

Definition at line 123 of file PtexTriangleKernel.h.

References v1, and v2.

Referenced by PtexTriangleFilter::splitAndApply().

## ◆ splitW()

void PtexTriangleKernel::splitW | ( | PtexTriangleKernel & | ka | ) |
| inline

Definition at line 130 of file PtexTriangleKernel.h.

References w1, and w2.

Referenced by PtexTriangleFilter::splitAndApply().

## Member Data Documentation

## ◆ A

float PtexTriangleKernel::A

Definition at line 88 of file PtexTriangleKernel.h.

Referenced by getIterators(), rotate1(), rotate2(), set(), and setABC().

## ◆ B

float PtexTriangleKernel::B

Definition at line 88 of file PtexTriangleKernel.h.

Referenced by getIterators(), rotate1(), rotate2(), set(), and setABC().

## ◆ C

float PtexTriangleKernel::C

Definition at line 88 of file PtexTriangleKernel.h.

Referenced by getIterators(), reorient(), rotate1(), rotate2(), set(), and setABC().

## ◆ res

Res PtexTriangleKernel::res

Definition at line 84 of file PtexTriangleKernel.h.

Referenced by PtexTriangleFilter::apply(), clampRes(), PtexTriangleFilter::eval(), getIterators(), and set().

## ◆ u

float PtexTriangleKernel::u

Definition at line 85 of file PtexTriangleKernel.h.

Referenced by getIterators(), reorient(), and set().

## ◆ u1

float PtexTriangleKernel::u1

Definition at line 86 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), PtexTriangleFilter::splitAndApply(), and splitU().

## ◆ u2

float PtexTriangleKernel::u2

Definition at line 87 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), and splitU().

## ◆ v

float PtexTriangleKernel::v

Definition at line 85 of file PtexTriangleKernel.h.

Referenced by getIterators(), reorient(), and set().

## ◆ v1

float PtexTriangleKernel::v1

Definition at line 86 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), PtexTriangleFilter::splitAndApply(), and splitV().

## ◆ v2

float PtexTriangleKernel::v2

Definition at line 87 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), and splitV().

## ◆ w1

float PtexTriangleKernel::w1

Definition at line 86 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), PtexTriangleFilter::splitAndApply(), and splitW().

## ◆ w2

float PtexTriangleKernel::w2

Definition at line 87 of file PtexTriangleKernel.h.

Referenced by clampExtent(), getIterators(), reorient(), set(), and splitW().

The documentation for this class was generated from the following file:

- PtexTriangleKernel.h